def f(n):
    return (n-500)**3

def max_f(n):
    maximum = f(0)
    for i in range(n):
        if maximum < f(i):
            maximum = f(i)
    return maximum

def min_f(n):
    minimum = f(0)
    for i in range(n):
        if minimum > f(i):
            minimum = f(i)
    return minimum

def construit_cercle(x,y,r,fill="white"):
    cercle = '<circle '
    cercle += 'cx="'+str(x)+'" '
    cercle += 'cy="'+str(y)+'" '
    cercle += 'r="'+str(r)+'" '
    cercle += 'style="fill:{};"/>'.format(fill)
    return cercle

def head_svg():
    s = """
<svg  xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="600" height="600">
<rect x="0" y="0" width="600" height="600" style="stroke:black;fill:white"/>'"""
    return s
def foot_svg():
    return '</svg>'

nb_points = 1000
points = range(0, nb_points)
maximum = max_f(nb_points) 
minimum = min_f(nb_points)
point_milieu = (minimum + maximum)/2
facteur_horizontal = 600/nb_points
facteur_vertical = 600/(maximum-minimum)
origine_verticale = facteur_vertical*point_milieu
print(head_svg())
for point in points: 
    valeur = f(point)
    x = point * facteur_horizontal
    y = 300 - valeur * facteur_vertical + origine_verticale 
    print(construit_cercle(x, y, 1, fill='blue'))
print(foot_svg())
